tau (2.17.3.1.dfsg-2) unstable; urgency=medium

  * Fix tau.install causing FTBFS on all archs except x86_64 which is the
    only one with an underscore.  This apparently worked when archs were
    "i386_linux" and such.  Don't install pprof symlink under extra
    "unknown" arch (it points to a binary, not to a script).
  * Update URLs in debian/copyright to match those in debian/watch and
    debian/control.
  * Remove claim of #704619 being closed by previous revision, we
    obviously don't ship the moste recent version.

 -- Yann Dirson <dirson@debian.org>  Tue, 21 Oct 2014 00:20:24 +0200

tau (2.17.3.1.dfsg-1) unstable; urgency=medium

  * "New" upstream release, the last one with old tcl-based GUI.
    Much more work is needed to get the new java-based GUI in Debian.
  * Acknowledge NMUs.
  * Switch to 3.0 (quilt) source format.
  * Now with Homepage and Vcs-* link (Closes: #754406).
  * Made sure makefile include works and examples build out-of-the-box
    (Closes: #669619).
  * Fix symlink between python-tau and tau-examples packages
    (Closes: #593752).
  * Fix adjustment of permissions in include files (the 2.15.6b1-2 fix
    erroneously impacted directories as well).
  * Updated watchfile (Closes: #449878).
  * New build-dependencies: binutils-dev, gfortran.
  * Reword short descriptions.
  * Suggests g++, gfortran.

 -- Yann Dirson <dirson@debian.org>  Sun, 19 Oct 2014 18:18:49 +0200

tau (2.16.4-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #617119).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Jun 2013 19:53:12 +0200

tau (2.16.4-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix CVE-2010-3382 insecure library loading
    Add debian/patches/06-598303-CVE-2010-3382-insecure-library-loading.diff
    Closes: 598303

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Oct 2010 20:55:41 +1100

tau (2.16.4-1.3) unstable; urgency=low

  * Non-maintainer upload
  * Merge 2.16.4-1.2ubuntu2
    Co-install with python2.6-minimal
    Closes: 568010
  * Fix CVE-2008-5157
    Don't allow files to be overwritten via a symlink attack
    Closes: 506348

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Feb 2010 11:32:12 +1100

tau (2.16.4-1.2ubuntu2) jaunty; urgency=low

  * make tau installable again (LP: #344302)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Mar 2009 21:07:00 +0200

tau (2.16.4-1.2ubuntu1) jaunty; urgency=low

  * Python 2.6 transition:
    - Include /usr/share/python/python.mk.
    - debian/rules: replace site-packages with py_sitename{,_sh} macros.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 13 Mar 2009 16:30:46 +0000

tau (2.16.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: explicitly set -arch parameter with configure, some
    architectures are not recognised properly (Closes: #458874, #476638).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 09 Oct 2008 20:19:37 +0200

tau (2.16.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417725).

 -- Luk Claes <luk@debian.org>  Sat, 15 Mar 2008 17:49:56 +0000

tau (2.16.4-1) unstable; urgency=low

  * New upstream release, orig tarball cleaned up.
  * Etch was released, upload to unstable again.
  * Fixed renaming and symlinking of scripts for policy compliance, which
    was producing broken links.

 -- Yann Dirson <dirson@debian.org>  Sat, 19 May 2007 01:01:29 +0200

tau (2.16.1-1) experimental; urgency=low

  * New upstream release, cleaned up orig tarball from prebuilt material,
    sparing many megabytes and making sure we rebuild everyhing we ship.

 -- Yann Dirson <dirson@debian.org>  Thu, 15 Feb 2007 22:34:00 +0100

tau (2.16-3) experimental; urgency=low

  * Only activate x86 TSC counters (wrongly named "Linux timers") on x86,
    ia64, and amd64 processors.

 -- Yann Dirson <dirson@debian.org>  Fri,  9 Feb 2007 22:50:47 +0100

tau (2.16-2) experimental; urgency=low

  * Be sure to have TauLinuxTimers.c compiled with -fPIC.

 -- Yann Dirson <dirson@debian.org>  Thu,  8 Feb 2007 21:13:23 +0100

tau (2.16-1) experimental; urgency=low

  * New upstream release (targetted at lenny, so to experimental for now).
  * More debian/rules cleanups.
  * Don't install useless files in /etc.
  * Use Linux Timers instead of less efficient gettimeofday.

 -- Yann Dirson <dirson@debian.org>  Wed,  7 Feb 2007 22:48:35 +0100

tau (2.15.6b1-4) unstable; urgency=high

  * Create symlinks to pprof and taud under /usr/lib/tau/unknown, so racy
    finds them, while keeping tau-racy arch-independant (Closes: #409307).

 -- Yann Dirson <dirson@debian.org>  Thu,  1 Feb 2007 23:52:40 +0100

tau (2.15.6b1-3) unstable; urgency=low

  * Use a wildcard and ship all README* files.
  * Fully use dh_movefiles, suppress manual file moves.
  * Removed perfexplorer_configure script, which is for the not-yet-done
    perfexplorer package, and phaseconvert, which is for the not-yet-done
    perfdmf package.
  * Removed /etc/tau: the files it contains relate to perfdmf, and most of
    them are not meant to be conffiles anyway.  
  * Cleaned up debian/rules some more.

 -- Yann Dirson <dirson@debian.org>  Wed,  4 Oct 2006 01:12:47 +0200

tau (2.15.6b1-2) unstable; urgency=low

  * Add a debian/pycompat requesting version 2, to make python transition
    complete.
  * Remove executable bit on include files.
  * Moved python shlibs and modules back into python-tau, by restricting
    patterns in debian/tau.files.  Have to replace previous version of tau
    because of this.
  * Bumped Standards-version to 3.7.2, no change.

 -- Yann Dirson <dirson@debian.org>  Tue, 26 Sep 2006 22:17:35 +0200

tau (2.15.6b1-1) unstable; urgency=low

  * New upstream release.
  * Now has manpages, TODO --.
  
  * Acknowledge NMU (Closes: #373389).
  * Restrict running of dh_pycental to package python-tau, to silence a
    complaint about package tau.
  * Switch from dh_installexamples to dh_movefiles - incidentally that
    causes python example files to get really shipped after their move out
    of tau-python-common.

  * Install into debian/tmp to make the rules more standard.
  * Converted my handling of the package to stgit, copied
    debian/README.maint from tulip package to explain that.
  * Switch stamping convention from *-stamp to stamps/*.

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Sep 2006 19:46:48 +0200

tau (2.14.6-2.1) unstable; urgency=low

  * NMU.
  * Convert to the updated Python policy. Collapse tau-python-common,
    python2.3-dev, python2.4-dev into a python-tau package. Closes: #373389.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2006 19:57:35 +0200

tau (2.14.6-2) unstable; urgency=low

  * Rebuilt with g++-4.0.
  * Be sure not to install libjogl.so, which is a prebuilt binary related
    to the java apps which we do not build yet.

 -- Yann Dirson <dirson@debian.org>  Wed, 13 Jul 2005 01:22:48 +0200

tau (2.14.6-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Mon,  4 Jul 2005 21:01:53 +0200

tau (2.14.5-2) unstable; urgency=low

  * Removed production of packages for python 2.1 and 2.2, as those will
    be dropped from etch.
  * Fixed dependencies ot tau-python-common to refer to 2.3 and 2.4.
  * Bumped standards-version to 3.6.2, no change.

 -- Yann Dirson <dirson@debian.org>  Sun,  3 Jul 2005 12:34:30 +0200

tau (2.14.5-1) unstable; urgency=low

  * New upstream release.
  * Added a python2.4 package.

 -- Yann Dirson <dirson@debian.org>  Mon, 20 Jun 2005 22:07:25 +0200

tau (2.14.1.1-1) unstable; urgency=low

  * New upstream release.
  * Added debian/watch file.
  * Added missing URL for upstream tarballs in copyright file.

 -- Yann Dirson <dirson@debian.org>  Fri, 28 Jan 2005 22:21:41 +0100

tau (2.14-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Fri, 12 Nov 2004 19:51:29 +0100

tau (2.13.7-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Fri, 24 Sep 2004 23:27:16 +0200

tau (2.13.6-1) unstable; urgency=low

  * New upstream release.
  * Avoid extra doc files now installed in /usr/lib, ensure CREDITS is
    installed in docdir.
  * Ensure wrapper scripts for new perfdmf java tool do not get shipped.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Jun 2004 21:42:09 +0200

tau (2.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Fri, 12 Mar 2004 21:39:12 +0100

tau (2.13.4-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Wed,  3 Mar 2004 21:30:55 +0100

tau (2.13.3-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Thu,  8 Jan 2004 22:45:36 +0100

tau (2.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Tue,  9 Dec 2003 21:31:23 +0100

tau (2.13-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Wed, 19 Nov 2003 00:52:59 +0100

tau (2.12.14-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Sun, 26 Oct 2003 22:30:20 +0100

tau (2.12.10-1) unstable; urgency=low

  * New upstream release.
  * python packages belong to section "python" (sync with override).

 -- Yann Dirson <dirson@debian.org>  Tue, 12 Aug 2003 19:09:33 +0200

tau (2.12.9.1-1) unstable; urgency=low

  * New upstream release.
  * Have tau-racy depend on "wish | tk8.4" instead of "tk8.3".

 -- Yann Dirson <dirson@debian.org>  Mon,  4 Aug 2003 11:57:20 +0200

tau (2.12.9-2) unstable; urgency=low

  * The "just married" release.
  * Whoops, fixed i386-ism in debian/rules (Closes: #202972).

 -- Yann Dirson <dirson@debian.org>  Mon, 28 Jul 2003 13:30:10 +0200

tau (2.12.9-1) unstable; urgency=low

  * New upstream release.
  * Adapted cleanup rules to renaming of the not-yet-shipped java gui.
  * Use dh-buildinfo.

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Jul 2003 20:31:48 +0200

tau (2.12.8-4) unstable; urgency=low

  * Modularized build of python module.
  * Fixed src/Profile/Makefile to use make idioms compatible with use of
    VPATH.
  * Use that to build the bindings for python 2.1 and 2.3 as well.  Split
    stuff that would overlap into new tau-python-common package.
  * Added note about what TAU is in tau-examples description.
  * Use -g -O2 by default as per current policy; support "noopt" flag.
  * Bumped Standards-Version to 3.5.10.
  * Made python examples more easily located through the relevant
    packages' doc-dirs.

 -- Yann Dirson <dirson@debian.org>  Tue,  3 Jun 2003 22:34:18 +0200

tau (2.12.8-3) unstable; urgency=low

  * Built the python bindings in a separate shared object, making
    python2.2-tau arch:any.  
  * Fixed some hardcoded refs to linux_i386 in debian/rules.

 -- Yann Dirson <dirson@debian.org>  Mon,  2 Jun 2003 23:06:23 +0200

tau (2.12.8-2) unstable; urgency=low

  * Build bindings for python 2.2 in new python-tau package.
  * Moved python examples in that package, and make it replace old
    tau-examples.
  * Moved xbm and a couple of things from /usr/lib into /usr/share, with
    symlinks (lintian).

 -- Yann Dirson <dirson@debian.org>  Sun,  1 Jun 2003 00:37:26 +0200

tau (2.12.8-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Fri, 30 May 2003 13:53:48 +0200

tau (2.12.5-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Thu, 27 Mar 2003 00:17:47 +0100

tau (2.12.3-1) unstable; urgency=low

  * New upstream release.
  * Note: not building new python bindings yet.

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Mar 2003 12:01:14 +0100

tau (2.12.2-1) unstable; urgency=low

  * New upstream release.
  * Added a prcs-clean rule to avoid adding too much cruft to the diff.

 -- Yann Dirson <dirson@debian.org>  Sat, 15 Feb 2003 18:10:35 +0100

tau (2.12-2) unstable; urgency=low

  * Rebuilt for g++-3.2 transition.
  * Applied upstream fix for build problem with this g++ version.

 -- Yann Dirson <dirson@debian.org>  Wed, 15 Jan 2003 00:43:46 +0100

tau (2.12-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Mon,  6 Jan 2003 23:43:02 +0100

tau (2.11.19-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Thu, 31 Oct 2002 00:06:18 +0100

tau (2.11.18-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Sat, 17 Aug 2002 00:23:25 +0200

tau (2.11.16-2) unstable; urgency=low

  * Add -fPIC to the build of src/Profile/, so that shared libs are OK -
    it broke the build on hppa, and is probably the cause of the problems
    with mips/mipsel (Closes: #151893).

 -- Yann Dirson <dirson@debian.org>  Wed,  7 Aug 2002 00:45:34 +0200

tau (2.11.16-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Tue,  6 Aug 2002 00:30:08 +0200

tau (2.11.15.1-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Mon, 22 Jul 2002 23:14:16 +0200

tau (2.11.14-2) unstable; urgency=low

  * Added missing build-dep on tcsh (Closes: #150918).

 -- Yann Dirson <dirson@debian.org>  Thu, 27 Jun 2002 00:27:54 +0200

tau (2.11.14-1) unstable; urgency=low

  * New upstream release.  Integrates all of my patches except the
    autodetection of strange echo behaviour for ash - reapplied this
    one.
  * Disable probing for wish, which requires $DISPLAY to be set, as we
    know which one we use anyway.  Should make autobuilders happy when
    they get to build this package.
  * Have "clean" remove a couple binary files more.

 -- Yann Dirson <dirson@debian.org>  Wed, 19 Jun 2002 00:58:02 +0200

tau (2.11.13-1) unstable; urgency=low

  * New upstream release.
  * Don't have the main package depend on tk.
  * Only install racy help files in tau-racy package, not those for
    obsolete tools.
  * Add tcsh real package alternative for c-shell dependency.

 -- Yann Dirson <dirson@debian.org>  Mon, 17 Jun 2002 00:56:48 +0200

tau (2.11.12-1) unstable; urgency=low

  * Initial Release (Closes: #149721).
  * Fixed test in ./configure to detect ash as being of the 'echo "\2"
    outputs ASCII 002' kind.
  * Fixed erdering of wish detection, so that wish8.3 is correctly taken
    even if earlier ones are installed.
  * Added -p to several mkdir invocations in configure, so that it works
    when installing inside a "deep" hierarchy.
  * Fixed src/Profile/Makefile to create a relative symlink, not an
    absolute one pointing to my build dir.
  * Moved binaries to /usr/bin/, keeping symlinks from the /usr/lib
    hierarchy to be sure nothing breaks (hopefully).

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Jun 2002 01:42:51 +0200
